﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PVTOTS]') AND name = N'XPVTOTS1')
BEGIN 
PRINT 'Creating index XPVTOTS1 on table PVTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XPVTOTS1] ON [dbo].[PVTOTS] 
(
	[DATE1] ASC,
	[TILL] ASC,
	[TIME] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PVTOTS]') AND name = N'XPVTOTS2')
BEGIN 
PRINT 'Creating index XPVTOTS2 on table PVTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XPVTOTS2] ON [dbo].[PVTOTS] 
(
	[DATE1] ASC,
	[CASH] ASC,
	[TIME] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

